QGIS Application - Bug report #11570
qgis is slow to open attribute table when joining a CSV table without the "memory cache" option
2014-11-05 06:53 AM - Fabien Cerbelaud

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19832
Description

Hi, when | try to open attribute table which contain 31 000 entities it takes a lot of time because of charging only 100 entities per seconds
so if | open table with a lot of entites | can't open table quickly. If | stop the process | obtain a table with for example 800 entities and |
can't using field calculator because if | do that Qgis crash. In 2.2 version the open attribute table in the same shape are almost
instantaneous. | don't know if it normal but it's not really helpfull to work.

History

#1 - 2014-11-05 07:02 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Subject changed from open attribute table to qgis is slow to open attribute table

- Category set to Vectors

of course it is not the expected behavior but also it does not happen in a clean installation or may be is something that is data related. Please attach a
sample of your data.

#2 - 2014-11-05 07:11 AM - Fabien Cerbelaud

| can't give you sample of data because it's to big 11Mo but you can download it on https:/filex.unilim.fr/get?k=d8WXmEf5lii2FO9XRNU

#3 - 2014-11-05 07:37 AM - Giovanni Manghi

table of attributes of your vector opens in a blink of eye here on both Windows and Linux and QGIS 2.6.

What OS do you use? if you are on Windows how did you installed qgis? with the psgeo4w installer or the standalone?

#4 - 2014-11-05 07:40 AM - Fabien Cerbelaud

On windows 7, | used the standalone installer

#5 - 2014-11-05 07:54 AM - Giovanni Manghi

Fabien Cerbelaud wrote:

On windows 7, | used the standalone installer
https://filex.unilim.fr/get?k=d8WXmEf5lii2IF9XRNU

so it should be a local issue. Try disable/remove any 3rd plugin, restart qgis and try again.

#6 - 2014-11-05 08:11 AM - Fabien Cerbelaud

It works now after restart Qgis, | don't see something different than yesterday or today when the problem appear so | can't explain to you why it's work well
now. If this problem come back I'll try to understand why before writing here again. thanks

#7 - 2014-11-05 08:22 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to invalid

#8 - 2014-11-12 06:46 AM - Fabien Cerbelaud
- Status changed from Closed to Reopened

- File CLC _nomenclature 05.csv added

| find why | have a problem to open attribute table, it's because there is a csv join within use cache option. If | join the csv in cache there is no problem but
if | join the same csv dynamically the attribute table is very slow to open. | joined to you a csv file which could be join at corine_land_cover data if you want
trying.

#9 - 2014-11-12 03:01 PM - Giovanni Manghi

- Subject changed from qgis is slow to open attribute table to qgis is slow to open attribute table when joining a CSV table without the "memory cache"
option

- Resolution deleted (invalid)

- Affected QGIS version changed from 2.6.0 to master

#10 - 2016-06-13 06:38 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Reopened to Closed

The cache option exists to fix this very use case. In QGIS 2.16 the cache correctly handles layer updates, so it should be used here to avoid the slow

dynamic join.

Files

CLC_nomenclature_05.csv 3.64 KB 2014-11-12 Fabien Cerbelaud
